Start a structure and binding prediction
POST/compute/v1/predictions/structure-and-binding
Submit a prediction job that produces 3D structure coordinates and confidence scores for the input molecular complex, with optional binding metrics. Protein entities can use automatic MSA generation, custom A3M/CSV MSAs, or empty MSA mode. Boltz-2.1 predictions can also include up to 4 CIF or PDB templates to guide protein-chain geometry.
Start a structure and binding prediction
curl https://api.boltz.bio/compute/v1/predictions/structure-and-binding \
-H 'Content-Type: application/json' \
-H "x-api-key: $BOLTZ_API_KEY" \
-d '{
"input": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value"
}
]
},
"model": "boltz-2.1"
}'{
"id": "sab_pred_2X7Ab9Cd3Ef6Gh1JkLmN",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"expires_at": "2019-12-27T18:11:19.117Z",
"input": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value",
"cyclic": true,
"modifications": [
{
"residue_index": 0,
"type": "ccd",
"value": "value"
}
],
"msa": {
"format": "a3m",
"source": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "custom"
}
}
],
"binding": {
"binder_chain_id": "binder_chain_id",
"type": "ligand_protein_binding"
},
"bonds": [
{
"atom1": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
},
"atom2": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
}
}
],
"constraints": [
{
"binder_chain_id": "binder_chain_id",
"contact_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"max_distance_angstrom": 0,
"type": "pocket",
"force": true
}
],
"model_options": {
"recycling_steps": 1,
"sampling_steps": 50,
"step_scale": 1.3
},
"num_samples": 1,
"templates": [
{
"template_chains": [
{
"input_chain_id": "input_chain_id",
"template_chain_id": "template_chain_id"
}
],
"template_structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"force_threshold_angstroms": 0
}
]
},
"livemode": true,
"model": "boltz-2.1",
"output": {
"all_sample_results": [
{
"metrics": {
"complex_ipde": 0,
"complex_iplddt": 0,
"complex_pde": 0,
"complex_plddt": 0,
"iptm": 0,
"ligand_iptm": 0,
"protein_iptm": 0,
"ptm": 0,
"structure_confidence": 0
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"ligand_structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
}
}
],
"best_sample": {
"metrics": {
"complex_ipde": 0,
"complex_iplddt": 0,
"complex_pde": 0,
"complex_plddt": 0,
"iptm": 0,
"ligand_iptm": 0,
"protein_iptm": 0,
"ptm": 0,
"structure_confidence": 0
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"ligand_structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
}
},
"archive": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"binding_metrics": {
"binding_confidence": 0,
"optimization_score": 0,
"type": "ligand_protein_binding_metrics"
}
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"version": "version",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}Returns Examples
{
"id": "sab_pred_2X7Ab9Cd3Ef6Gh1JkLmN",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"expires_at": "2019-12-27T18:11:19.117Z",
"input": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value",
"cyclic": true,
"modifications": [
{
"residue_index": 0,
"type": "ccd",
"value": "value"
}
],
"msa": {
"format": "a3m",
"source": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"type": "custom"
}
}
],
"binding": {
"binder_chain_id": "binder_chain_id",
"type": "ligand_protein_binding"
},
"bonds": [
{
"atom1": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
},
"atom2": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
}
}
],
"constraints": [
{
"binder_chain_id": "binder_chain_id",
"contact_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"max_distance_angstrom": 0,
"type": "pocket",
"force": true
}
],
"model_options": {
"recycling_steps": 1,
"sampling_steps": 50,
"step_scale": 1.3
},
"num_samples": 1,
"templates": [
{
"template_chains": [
{
"input_chain_id": "input_chain_id",
"template_chain_id": "template_chain_id"
}
],
"template_structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"force_threshold_angstroms": 0
}
]
},
"livemode": true,
"model": "boltz-2.1",
"output": {
"all_sample_results": [
{
"metrics": {
"complex_ipde": 0,
"complex_iplddt": 0,
"complex_pde": 0,
"complex_plddt": 0,
"iptm": 0,
"ligand_iptm": 0,
"protein_iptm": 0,
"ptm": 0,
"structure_confidence": 0
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"ligand_structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
}
}
],
"best_sample": {
"metrics": {
"complex_ipde": 0,
"complex_iplddt": 0,
"complex_pde": 0,
"complex_plddt": 0,
"iptm": 0,
"ligand_iptm": 0,
"protein_iptm": 0,
"ptm": 0,
"structure_confidence": 0
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"ligand_structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
}
},
"archive": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"binding_metrics": {
"binding_confidence": 0,
"optimization_score": 0,
"type": "ligand_protein_binding_metrics"
}
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"version": "version",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}